use leptos::*;
use crate::locales::trl;
use crate::pages::company_info::CompanyInfo;
use crate::pages::opening_hours::OpeningHours;
use crate::pages::users::Users;
use crate::pages::properties::Properties;

#[component]
pub fn Settings() -> impl IntoView {
    view! {
        <h1>{trl("Settings")}</h1>
        <div class="row mb-5">
            <div class="col-md">
                <CompanyInfo/>
            </div>
            <div class="col-md">
                <Users/>
            </div>
          </div>
        <div class="row mb-5">
            <div class="col-md">
                <OpeningHours/>
            </div>
            <div class="col-md">
                <Properties/>
            </div>
          </div>
    }
}